Bug 5893 - HP Compaq nw8240 special keys
Summary: HP Compaq nw8240 special keys
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: PA-RISC (HP) Linux (All)
: high normal
Assignee: xkb
QA Contact:
URL: https://wiki.ubuntu.com/LaptopTesting...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-15 08:38 UTC by Luka Renko
Modified: 2006-02-21 14:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Luka Renko 2006-02-15 08:38:16 UTC
HP Compaq nw8240 notebook has some special keys that are not covered by 
existing keyboard models. For some keys, there are no matching keysyms (as 
described in bug 3884), therefore I have used generic XF86Launch0/1/2 symbols. 
 
I have modified existing "armada" model for testing purpose as following: 
 
// Laptop/notebook Compaq (eg. Armada, Evo) Laptop Keyboard 
partial alphanumeric_keys 
xkb_symbols "armada" { 
    key <I20>   {       [ XF86AudioMute         ]       }; 
    key <I2E>   {       [ XF86AudioLowerVolume  ]       }; 
    key <I30>   {       [ XF86AudioRaiseVolume  ]       }; 
    key <I75>   {       [ XF86Launch0           ]       }; // Info Center 
    key <I1F>   {       [ XF86Launch1           ]       }; // Presentation Mode 
    key <I5F>   {       [ XF86Standby           ]       }; 
    key <I59>   {       [ XF86Launch2           ]       }; // Battery Monitor 
}; 
 
It looks like that other HP Compaq models (series ncXXXX, nxXXXX and nwXXXX) 
have same (or similar) keys, therefore it would probably make sense to add 
completely new model for all (most) of these notebooks ("Laptop/notebook HP 
Compaq (nc, nx, nw)").  
 
Please let me know in which direction should I develop a patch and if you think 
we should wait for proper keysyms to be added first (see bug 3884).
Comment 1 Sergey V. Udaltsov 2006-02-22 09:32:38 UTC
Actuall, I1F is already allocated for XF86HomePage in the 'armada' variant.
Other keys are appended to the definition and committed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.